Qtruby4在windows底下安裝的問題

傳說中只要gem install qtruby4就好了

偏偏就是遇到一堆問題,才會有這篇阿-_-

1. 找不到nmake

到http://support.microsoft.com/default.aspx?scid=kb;en-us;Q132084抓nmake,這是個自解檔,把解開後的NMAKE.exe丟到system32底下就好了

2. require ‘qt’會說找不到qtruby4.so

事實上是找不到mingwm10.dll,去qt的資料夾底下把這個dll挖出來跟你寫的程式放在一起就好了,irb裡面目前無解…

更新:以上這兩個問題在改裝1.4.10的gem之後就沒了,原來是1.4.9包的東西太少…

1.4.10也包了用來把QtDesigner的ui轉成ruby程式碼的rbuic4.exe

注意:有用到中文的話,記得在轉出來的ruby code裡面加上$KCODE=’u’

廣告

發表迴響

在下方填入你的資料或按右方圖示以社群網站登入:

WordPress.com Logo

您的留言將使用 WordPress.com 帳號。 登出 / 變更 )

Twitter picture

您的留言將使用 Twitter 帳號。 登出 / 變更 )

Facebook照片

您的留言將使用 Facebook 帳號。 登出 / 變更 )

Google+ photo

您的留言將使用 Google+ 帳號。 登出 / 變更 )

連結到 %s